
# **create-node-mrc-project**

`create-node-mrc-project` is an **npm package** designed to streamline the setup of Node.js applications. It automatically generates a well-structured project with essential files, folders, and dependencies, allowing you to kickstart your development effortlessly.

---

## **Features**

- 🚀 **Automated Setup**: Quickly scaffold a Node.js project with a single command.
- 📂 **Organized Folder Structure**: Includes:
  - `Models`
  - `Controllers`
  - `Routes`
  - `Middlewares`
  - `Database`
  - `Utils`
  - `Config`
- 🛠 **Pre-installed Dependencies**: Automatically installs `express` and other basic dependencies.
- 🌟 **Pre-built APIs**: Contains test APIs to verify the app is running.
- ⚡ **Quick Start**: Ready to run immediately after initialization.

---

## **Installation**

Install the package globally:

```bash
npm install -g create-node-mrc-project
```

---

## **Usage**

1. **Initialize the Project**:  
   Run the following command in your terminal:
   ```bash
   init-node-project
   ```
2. **Start the Server**:  
   Navigate to your project folder and start the server:
   ```bash
   node index.js
   ```

---

## **License**

This project is licensed under the **MIT License**.

---

🎉 **Happy Coding!**
